Bug 843380 - [admin-portal] Add disk dialogue: filter out DC with status != 'UP' (Error in retrieving the relevant Storage Domain)
[admin-portal] Add disk dialogue: filter out DC with status != 'UP' (Error in...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity medium
: ---
: 3.1.0
Assigned To: Daniel Erez
vvyazmin@redhat.com
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-26 03:46 EDT by vvyazmin@redhat.com
Modified: 2016-02-10 12:09 EST (History)
9 users (show)

See Also:
Fixed In Version: SI15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:03:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
## screen-shot (194.25 KB, image/png)
2012-07-26 03:46 EDT, vvyazmin@redhat.com
no flags Details

  None (edit)
Description vvyazmin@redhat.com 2012-07-26 03:46:50 EDT
Created attachment 600452 [details]
## screen-shot

Description of problem:
In UI “Add Virtual Disk”, drop down box “Data Center” display DC’s that have “Uninitialized” status

Version-Release number of selected component (if applicable):
RHEVM 3.1 - SI11

RHEVM: rhevm-3.1.0-7.el6ev.noarch.rpm
VDSM: vdsm-4.9.6-23.0.el6.x86_64
LIBVIRT: libvirt-0.9.10-21.el6.x86_64
QEMU & KVM: qemu-kvm-rhev-0.12.1.2-2.295.el6.x86_64
SANLOCK: sanlock-2.3-2.1.el6.x86_64 

How reproducible:
100%

Steps to Reproduce:
1. Create a new DC (Status: Uninitialized)
1. For example: DC-02-iSCSI
2. Add a new disk via “Disks” tab
  
Actual results:
Get error: Error in retrieving the relevant Storage Domain. (print screen attached) 

Expected results:
Prevent display DC that have “Uninitialized” status in drop down box “Data Center” in UI “Add Virtual Disk”. Display only DC’s that have “Up” status

Additional info:
Comment 1 Simon Grinberg 2012-07-26 07:47:49 EDT
(In reply to comment #0)

> 
> Expected results:
> Prevent display DC that have “Uninitialized” status in drop down box “Data
> Center” in UI “Add Virtual Disk”. Display only DC’s that have “Up” status
> 

I don't agree it is the right solution.

* What happens if a storage domain goes into maintenance/non operational after the list generated?

What should be done is a better text message saying something like:
"Can't create a disk, the selected data center status is: __Status__"


P.S.
Did you get that as soon as you've selected the DC? IE before pressing OK?
Comment 2 vvyazmin@redhat.com 2012-07-26 10:12:48 EDT
I get an error before pressing OK
when you select from drop list “Uninitialized” DC, you get this error
Comment 3 Einav Cohen 2012-07-29 07:43:11 EDT
(In reply to comment #1)
> (In reply to comment #0)
>
> ...
> 
> What should be done is a better text message saying something like:
> "Can't create a disk, the selected data center status is: __Status__"
>
> ...
> 

This is not consistent with the behavior of the application: In all dialogs, we always filter out the non-"active" entities; e.g. in New VM dialog, we show only "Up" DCs, "OK" Templates, "Active" Storage Domains, etc.

Showing also non-"active" entities in dialogs can result in lots of messages like the one that you suggested above, which is bad UX IMO.
Comment 4 Einav Cohen 2012-07-29 07:49:13 EDT
- For "New Disk" dialog opened from Disks main tab: Non-Up DCs should be filtered out; if no Up DCs exist in the system (i.e. "DC" and "SD" drop-downs are empty), there should be a relevant message (such as: "There are no active Data-Centers in the system")

- For "New Disk" dialog opened from a VM context: If the relevant DC is not Up (i.e. there are no active SDs in the DC), there should be a relevant message (such as" There are no active Storage Domains in the relevant Data-Center").
Comment 5 Ayal Baron 2012-07-29 17:19:15 EDT
(In reply to comment #4)
> - For "New Disk" dialog opened from Disks main tab: Non-Up DCs should be
> filtered out; if no Up DCs exist in the system (i.e. "DC" and "SD"
> drop-downs are empty), there should be a relevant message (such as: "There
> are no active Data-Centers in the system")
> 
> - For "New Disk" dialog opened from a VM context: If the relevant DC is not
> Up (i.e. there are no active SDs in the DC), there should be a relevant
> message (such as" There are no active Storage Domains in the relevant
> Data-Center").

Ack.
Comment 8 vvyazmin@redhat.com 2012-08-22 09:16:38 EDT
Verified on RHEVM 3.1 - SI15

RHEVM: rhevm-3.1.0-13.el6ev.noarch
VDSM: vdsm-4.9.6-29.0.el6_3.x86_64
LIBVIRT: libvirt-0.9.10-21.el6.x86_64
QEMU & KVM: qemu-kvm-rhev-0.12.1.2-2.298.el6_3.x86_64
SANLOCK: sanlock-2.3-3.el6_3.x86_64

Note You need to log in before you can comment on or make changes to this bug.